
body.k-light .k-narrating{background-color:rgb(255,255,204,0.7);color:#121212;}
body.k-light .k-narrating--nodes{background-color:/*rgb(255,255,220)*/rgb(225,234,243);}
body.k-light .k-narrate-word-highlight{border-bottom-color:rgb(255,229,0);}

.k-container{--left:0px;--top:0px;--position:absolute;left:var(--left);top:var(--top);position:var(--position);text-align:center;height:1px;width:1px;opacity:0;display:none;z-index:100000;}
.k-panel{background-color:#fff;background-position:center center;background-repeat:no-repeat;border:solid 1px #bbb;border-radius:4px;position:absolute;z-index:100000;transition:opacity .5s ease-in-out 0;box-shadow:none;opacity:1;width:450px;height:250px;max-width:unset;max-height:unset;}
.k-panel--visible{opacity:1;display:flex;}
.k-drag{padding:0px 25em 10px 0px;z-index:101000;background-color:transparent;left:0em;top:0em;position:relative;-webkit-user-select:none;-moz-user-select:none;user-select:none;touch-action:none;cursor:move;}

.k-menu{cursor:pointer;opacity:0.9;display:none;flex-flow:row wrap;justify-content:space-between;position:absolute;width:auto;height:auto;z-index:103000;-webkit-user-select:none;-moz-user-select:none;background-color:transparent;}
.k-menu--icons{height:28px;width:28px;margin:2px;background:no-repeat top left/42px #242729;border-radius:50%!important;cursor:pointer;display:flex;}
.k-menu--dictionary{background-position:3.7px 4px;}
.k-menu--speak{background-position:3px -19px;}
.k-menu--console{background-position:6.5px -40.5px;}
.k-menu--easeIn{display:flex;-webkit-animation:k-anim--easeIn 180ms forwards linear;animation:k-anim--easeIn 180ms forwards linear;transition:top 75ms ease-out,left 75ms ease-out;}
.k-menu--busyIndicator{display:none;position:absolute;width:20px;height:20px;border:3px solid #242729;border-radius:100%;opacity:0;}
.k-menu--busyIndicator_active{display:block;-webkit-animation:k-anim--busyIndicator .8s linear infinite;animation:k-anim--busyIndicator .8s linear infinite;}

.k-console{display:flex;flex-flow:column wrap;top:80vh;width:449px!important;height:85px;position:fixed;border:none;background-color:transparent;z-index:102000;margin:0 4vw;padding:0;}
.k-console textarea{font-family:Consolas,"Courier New","Liberation Mono",monospace;font-size:13.3px;font-style:normal;font-variant:normal;font-weight:400;line-height:1.4;width:98.4%;height:100%;min-height:unset;color:#000;background-color:#f9f9f9;border:none;border-left:6px solid #848d95;border-radius:4px;margin-bottom:12px;outline:none;overflow:auto;resize:both!important;box-sizing:border-box;padding:5px 30px 5px 18px;box-shadow:rgba(0,0,0,0.3) 0px 1px 2px 0px;}
.k-console span{position:absolute;cursor:pointer;font-family:Consolas,monospace;color:#242729;font-style:normal;text-align:center;width:20px;height:20px;border-radius:50%;}
.k-console .span-del{margin-left:100%;background-color:#ccc;font-weight:700;font-size:14px;line-height:21px;}
.k-console .span-ers{width:16px;height:86%;margin-top:0px;margin-left:4px;opacity:0;border-radius:unset;}
.k-console .span-ers:hover{opacity:0.3;}

.k-console:before,
.k-console textarea:before,
.k-console:after,
.k-console textarea:after{content:none!important;}
.k-console textarea:focus{outline:none;background-color:#f9f9f9;border:none;border-left:6px solid #848d95;box-shadow:rgba(0,0,0,0.3) 0px 1px 2px 0px!important;}
.k-console textarea:selection{color:#000;}
.k-console textarea::-webkit-input-placeholder{font-family:Consolas,"Courier New","Liberation Mono",monospace!important;font-size:13.3px;color:#686868;opacity:0.7;}
.k-console textarea::placeholder{font-family:Consolas,"Courier New","Liberation Mono",monospace!important;font-size:13.3px;color:#686868;opacity:0.7;}

.k-audio--container{cursor:pointer;display:inline-block;left:0;opacity:1;position:absolute;transition:opacity .5s ease-in-out;z-index:103000;background-color:transparent;}
.k-audio--container svg{border-radius:50%;}
.k-audio--container audio{display:none;}

.k-button--container{background-color:#03a87c;color:#03a87c;border:2px solid #03a87c;box-shadow:#03a87c 0px 0px 1px 0px;opacity:0.8;cursor:pointer;display:inline-block;line-height:35px;overflow:visible;width:40px;height:40px;border-radius:50%!important;-webkit-border-radius:50%;box-sizing:content-box;align-items:flex-start;margin:0;padding:0;}
.k-button--container_transparent{background-color:transparent;color:unset;border:unset;box-shadow:unset;opacity:1;}
.k-button{border-radius:50%;display:inline-block;height:inherit;width:inherit;position:relative;text-align:center;box-sizing:content-box;}
.k-button--pulse{-webkit-animation:pulse-shadow 1.5s infinite;animation:pulse-shadow 1.5s infinite;transition:.1s background-color,.1s border-color,.1s color,.1s fill;}
.k-button--error{background:no-repeat top left;}

.k-button_svg{height:35px;width:35px;margin:2px;background:transparent no-repeat -13px -31px;background-size:60px 60px;}
.k-button_svg--pulse{background-position-y:0px;}
.k-button_svg--error{display:none;stroke:#000;stroke-width:2;stroke-linecap:square;stroke-linejoin:bevel;stroke-dasharray:2.46799994,7.40399981;}
.k-loader_svg{stroke-linecap:round;fill:#03a87c;cursor:pointer;}

.k-narrating{position:relative;z-index:1;text-decoration:none;}
.k-narrating-phrase{position:relative;z-index:1;text-decoration:none;}
.k-narrate-phrase-highlight{position:absolute;background-color:rgb(255,255,220)/*rgb(225,234,243)*/;vertical-align:inherit;z-index:-1;transition: background-color 200ms linear;}
.k-narrate-word-highlight{position:absolute;display:none;transform:translate(-50%,calc(-50% - 2px));z-index:1;border-bottom-style:solid;border-bottom-width:6px;transition:left 0.1s ease,width 0.1s ease;color:#121212;z-index:-1;}
.k-narrating > .k-narrate-word-highlight{display:inline-block;}
.k-narrate-word-highlight.k-newline{transition:none;}
.k-wrapp-highlight{background-color:rgb(255,255,220)/*rgb(225,234,243)*/;color:#121212;text-decoration:none;border-bottom:8px solid rgb(255,255,220)/*rgb(225,234,243)*/;transition: background-color 500ms linear;}

@-webkit-keyframes k-anim--easeIn { 
  0% { -webkit-transform: matrix(.97, 0, 0, 1, 0, 12); transform: matrix(.97, 0, 0, 1, 0, 12); opacity: 0 } 
  20% { -webkit-transform: matrix(.99, 0, 0, 1, 0, 2); transform: matrix(.99, 0, 0, 1, 0, 2); opacity: .7 } 
  40% { -webkit-transform: matrix(1, 0, 0, 1, 0, -1); transform: matrix(1, 0, 0, 1, 0, -1); opacity: 1 } 
  70% { -webkit-transform: matrix(1, 0, 0, 1, 0, 0); transform: matrix(1, 0, 0, 1, 0, 0); opacity: 1 } 
  100% { -webkit-transform: matrix(1, 0, 0, 1, 0, 0); transform: matrix(1, 0, 0, 1, 0, 0); opacity: 1 } 
} 
@keyframes k-anim--easeIn { 
  0% { -webkit-transform: matrix(.97, 0, 0, 1, 0, 12); transform: matrix(.97, 0, 0, 1, 0, 12); opacity: 0 } 
  20% { -webkit-transform: matrix(.99, 0, 0, 1, 0, 2); transform: matrix(.99, 0, 0, 1, 0, 2); opacity: .7 } 
  40% { -webkit-transform: matrix(1, 0, 0, 1, 0, -1); transform: matrix(1, 0, 0, 1, 0, -1); opacity: 1 } 
  70% { -webkit-transform: matrix(1, 0, 0, 1, 0, 0); transform: matrix(1, 0, 0, 1, 0, 0); opacity: 1 } 
  100% { -webkit-transform: matrix(1, 0, 0, 1, 0, 0); transform: matrix(1, 0, 0, 1, 0, 0); opacity: 1 } 
}
@-webkit-keyframes k-anim--busyIndicator{
  0%{-webkit-transform:scale(0.1);transform:scale(0.1);opacity:0.0}
  50%{-webkit-transform:scale(0.7);transform:scale(0.7);opacity:1}
  100%{-webkit-transform:scale(1.2);transform:scale(1.2);opacity:0.0}
}
@keyframes k-anim--busyIndicator{
  0%{-webkit-transform:scale(0.1);transform:scale(0.1);opacity:0.0}
  50%{-webkit-transform:scale(0.7);transform:scale(0.7);opacity:1}
  100%{-webkit-transform:scale(1.2);transform:scale(1.2);opacity:0.0}
}
@-webkit-keyframes pulse-shadow {  
  0% {box-shadow: 0 0 0 0 rgba(3, 168, 124, 0.8)}
  70% {box-shadow: 0 0 5px 10px rgba(3, 168, 124, 0);}
  100% {box-shadow: 0 0 0 0 rgba(3, 168, 124, 0);}
}
@keyframes pulse-shadow {
  0% {box-shadow: 0 0 0 0 rgba(3, 168, 124, 0.8)}
  70% {box-shadow: 0 0 5px 10px rgba(3, 168, 124, 0);}
  100% {box-shadow: 0 0 0 0 rgba(3, 168, 124, 0);}
}

@media (max-width:48em){
  .k-menu{position:fixed;top:85vh;left:85vw;flex-flow:column wrap;}
  .k-menu--icons{height:42px;width:42px;background-size:65px;}
  .k-menu--dictionary{background-position:4px 6px;}
  .k-menu--speak{background-position:3px -29px;}
  .k-menu--console{background-position:6.5px -64px;}
  .k-drag{padding:0px 25em 14px 0px;}
  .k-console{width:82vw!important;top:77vh;height:100px;max-width:449px;}
  .k-console span{font-family:Consolas,monospace;font-size:18px;line-height:18px;width:21px;height:21px;}
  .k-console .span-del{font-size:17px;line-height:18px;}
  .k-console textarea{width:80vw;font-size:17px;padding:5px 16px;border-left:6px solid #848d95;max-width:98.4%;}
  .k-console textarea::-webkit-input-placeholder{font-size:15px;}
  .k-console textarea::placeholder{font-size:15px;}
}
